Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getSmProfiles({
networkId: "string",
payloadTypes: ["string"],
});
export const merakiNetworksSmProfilesExample = example.then(example => example.items);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_sm_profiles(network_id="string",
payload_types=["string"])
pulumi.export("merakiNetworksSmProfilesExample", example.items)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.GetSmProfiles(ctx, &networks.GetSmProfilesArgs{
NetworkId: "string",
PayloadTypes: []string{
"string",
},
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksSmProfilesExample", example.Items)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetSmProfiles.Invoke(new()
{
NetworkId = "string",
PayloadTypes = new[]
{
"string",
},
});
return new Dictionary<string, object?>
{
["merakiNetworksSmProfilesExample"] = example.Apply(getSmProfilesResult => getSmProfilesResult.Items),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetSmProfilesArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getSmProfiles(GetSmProfilesArgs.builder()
.networkId("string")
.payloadTypes("string")
.build());
ctx.export("merakiNetworksSmProfilesExample", example.items());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getSmProfiles
arguments:
networkId: string
payloadTypes:
- string
outputs:
merakiNetworksSmProfilesExample: ${example.items}
Using getSmProfiles
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSmProfiles(args: GetSmProfilesArgs, opts?: InvokeOptions): Promise<GetSmProfilesResult>
function getSmProfilesOutput(args: GetSmProfilesOutputArgs, opts?: InvokeOptions): Output<GetSmProfilesResult>def get_sm_profiles(network_id: Optional[str] = None,
payload_types: Optional[Sequence[str]] = None,
opts: Optional[InvokeOptions] = None) -> GetSmProfilesResult
def get_sm_profiles_output(network_id: Optional[pulumi.Input[str]] = None,
payload_types: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetSmProfilesResult]func GetSmProfiles(ctx *Context, args *GetSmProfilesArgs, opts ...InvokeOption) (*GetSmProfilesResult, error)
func GetSmProfilesOutput(ctx *Context, args *GetSmProfilesOutputArgs, opts ...InvokeOption) GetSmProfilesResultOutput> Note: This function is named GetSmProfiles in the Go SDK.
public static class GetSmProfiles
{
public static Task<GetSmProfilesResult> InvokeAsync(GetSmProfilesArgs args, InvokeOptions? opts = null)
public static Output<GetSmProfilesResult> Invoke(GetSmProfilesInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetSmProfilesResult> getSmProfiles(GetSmProfilesArgs args, InvokeOptions options)
public static Output<GetSmProfilesResult> getSmProfiles(GetSmProfilesArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getSmProfiles:getSmProfiles
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Payload
Types List<string> - payloadTypes query parameter. Filter by payload types
- Network
Id string - networkId path parameter. Network ID
- Payload
Types []string - payloadTypes query parameter. Filter by payload types
- network
Id String - networkId path parameter. Network ID
- payload
Types List<String> - payloadTypes query parameter. Filter by payload types
- network
Id string - networkId path parameter. Network ID
- payload
Types string[] - payloadTypes query parameter. Filter by payload types
- network_
id str - networkId path parameter. Network ID
- payload_
types Sequence[str] - payloadTypes query parameter. Filter by payload types
- network
Id String - networkId path parameter. Network ID
- payload
Types List<String> - payloadTypes query parameter. Filter by payload types
getSmProfiles Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
List<Get
Sm Profiles Item> - Array of ResponseSmGetNetworkSmProfiles
- Network
Id string - networkId path parameter. Network ID
- Payload
Types List<string> - payloadTypes query parameter. Filter by payload types
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
[]Get
Sm Profiles Item - Array of ResponseSmGetNetworkSmProfiles
- Network
Id string - networkId path parameter. Network ID
- Payload
Types []string - payloadTypes query parameter. Filter by payload types
- id String
- The provider-assigned unique ID for this managed resource.
- items
List<Get
Sm Profiles Item> - Array of ResponseSmGetNetworkSmProfiles
- network
Id String - networkId path parameter. Network ID
- payload
Types List<String> - payloadTypes query parameter. Filter by payload types
- id string
- The provider-assigned unique ID for this managed resource.
- items
Get
Sm Profiles Item[] - Array of ResponseSmGetNetworkSmProfiles
- network
Id string - networkId path parameter. Network ID
- payload
Types string[] - payloadTypes query parameter. Filter by payload types
- id str
- The provider-assigned unique ID for this managed resource.
- items
Sequence[Get
Sm Profiles Item] - Array of ResponseSmGetNetworkSmProfiles
- network_
id str - networkId path parameter. Network ID
- payload_
types Sequence[str] - payloadTypes query parameter. Filter by payload types
- id String
- The provider-assigned unique ID for this managed resource.
- items List<Property Map>
- Array of ResponseSmGetNetworkSmProfiles
- network
Id String - networkId path parameter. Network ID
- payload
Types List<String> - payloadTypes query parameter. Filter by payload types
Supporting Types
GetSmProfilesItem
- Description string
- Description of a profile.
- Id string
- ID of a profile.
- Name string
- Name of a profile.
- Payload
Types List<string> - Payloads in the profile.
- Scope string
- Scope of a profile.
- List<string>
- Tags of a profile.
- Description string
- Description of a profile.
- Id string
- ID of a profile.
- Name string
- Name of a profile.
- Payload
Types []string - Payloads in the profile.
- Scope string
- Scope of a profile.
- []string
- Tags of a profile.
- description String
- Description of a profile.
- id String
- ID of a profile.
- name String
- Name of a profile.
- payload
Types List<String> - Payloads in the profile.
- scope String
- Scope of a profile.
- List<String>
- Tags of a profile.
- description string
- Description of a profile.
- id string
- ID of a profile.
- name string
- Name of a profile.
- payload
Types string[] - Payloads in the profile.
- scope string
- Scope of a profile.
- string[]
- Tags of a profile.
- description str
- Description of a profile.
- id str
- ID of a profile.
- name str
- Name of a profile.
- payload_
types Sequence[str] - Payloads in the profile.
- scope str
- Scope of a profile.
- Sequence[str]
- Tags of a profile.
- description String
- Description of a profile.
- id String
- ID of a profile.
- name String
- Name of a profile.
- payload
Types List<String> - Payloads in the profile.
- scope String
- Scope of a profile.
- List<String>
- Tags of a profile.
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
